QGIS Application - Bug report #21126
Empty SVG exports
2019-01-29 10:32 PM - Anna Kear

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:3.4.3 Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate
Crashes QGIS or corruptsdata: Copied to github as #: 28944
Description

At first | was unsure what to report this as (bug or feature suggestion) but then | realized this was all that the window had said, at first:
https://i.imgur.com/60Q8zbE.png

The SVG | always get is neither the right size nor has the correct dimensions. Most importantly, it's all white (and has no elements) in it.
What's the root cause, and when will this be patched up?

History

#1 - 2019-01-30 12:43 AM - Nyall Dawson

- Status changed from Open to Closed

- Resolution set to duplicate

Duplicate of #159

it's a long standing issue in the underlying Qt libraries themselves (i.e. not something which can be fixed in QGIS). Given the longevity of this issue, | think
it's only ever going to be fixed when a QGIS user decides to fund improvements in the Qt SVG handling to address this. It's obviously not a high priority for
the Qi project itself.

In the meantime the recommended approach is to export as PDF and pull that into the vector editing application (eg. illustrator/inkscape) and then save as

svg

#2 - 2019-01-30 01:42 AM - Anna Kear
- Status changed from Closed to Reopened

Would there be any way to do this through the rastor-image that is produced?

#3 - 2019-01-30 03:23 AM - Anna Kear

My question was about blank SVG files in particular, not the documented problem that already exists. Any solution-to that one?

#4 - 2019-01-30 11:15 AM - Giovanni Manghi

- Operating System deleted (I think?)

- Category changed from Geometry to Map Composer/Printing
- Status changed from Reopened to Closed
Anna Kear wrote:

My question was about blank SVG files in particular, not the documented problem that already exists. Any solution-to that one?

please ask questions in the users/developers mailing lists or on gis stackexchange or QGIS IRC channels.
